# Generated from y_petri-2.4.9.gem by gem2rpm -*- rpm-spec -*-
%global gem_name y_petri

Name: rubygem-%{gem_name}
Version: 2.4.9
Release: 1%{?dist}
Summary: Systems modelling and simulation gem. Biologically inspired, but concerns specific to biology and chemistry have been purposely separated away from it, so it is a general-purpose model specification and simulation DSL. Dynamical systems are specified by a specific universal type of a hybrid Petri net which YPetri implements and which allows description of any kind of dynamical system whatsoever
License: GPLv3
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.0
BuildArch: noarch

%description
YPetri is a DSL (domain-specific language) for modelling of dynamical systems.
It is biologically inspired, but concerns of biology and chemistry have been
purposely separated away from it. YPetri caters solely to the two main
concerns of modelling, model specification and simulation, and it excels in
the first one. Dynamical systems are described under a Petri net paradigm.
YPetri implements a universal Petri net abstraction that integrates
discrete/continous, timed/timeless and stoichiometric/nonstoichiometric
dichotomies of the extended Petri nets, and allows efficient specification of
any kind of dynamical system. Like Petri nets themselves, YPetri was inspired
by problems from the domain of chemistry (biochemical pathway modelling), but
is not specific to it. Other gems, YChem and YCell are planned to cater to the
concerns specific to chemistry and cell biochemistry. A lower-level extension
of YPetri is currently under development under the name YNelson. Its usage is
practically identical to YPetri, so any YPetri user can now consider using
YNelson instead. YNelson covers additional concerns: it allows relations among
nodes and parameters to be specified under a zz structure paradigm (developed
by Ted Nelson) and it is also aimed towards providing a higher level of
abstraction in Petri net specification by providing commands that create more
than one Petri net node per command. YPetri documentation is avalable online,
but due to formatting issues, you may prefer to generate the documentation on
your own by running rdoc in the gem directory. As for the user manuals, there
are currently 3 documents applicable for both YPetri and YNelson, whose master
copies are stored in the YNelson source directory: 1. Introduction to YNelson
and YPetri (hands-on tutorial), 2. Object model of YNelson and YPetri, 3.
Introduction to Ruby for YNelson users. These manuals are written to allow
beginners, including those unfamiliar with Ruby, to start working with YPetri
and/or YNelson. For an example of how YPetri can be used to model complex
dynamical systems, see the eukaryotic cell cycle model which I released as
"cell_cycle" gem.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/ACKNOWLEDGMENT.txt
%{gem_instdir}/Introduction_to_Ruby_for_YPetri_and_YNelson_Users.lyx
%{gem_instdir}/Introduction_to_Ruby_for_YPetri_and_YNelson_Users.pdf
%{gem_instdir}/Introduction_to_YPetri_and_YNelson.lyx
%{gem_instdir}/Introduction_to_YPetri_and_YNelson.pdf
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/Object_model_of_YPetri_and_YNelson.lyx
%{gem_instdir}/Object_model_of_YPetri_and_YNelson.pdf
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/test
%{gem_instdir}/y_petri.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 2.4.9-1
- Initial package
